LibreOffice LibreOffice 4.2 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
salhelper::LinkResolver Class Reference

`#include <linkhelper.hxx>`

## Public Member Functions
| LinkResolver (sal_uInt32 nMask)
osl::FileBase::RC | fetchFileStatus (const rtl::OUString &rURL, int nDepth=128)
| Resolve a file url if it's a symbolic link, to a maximum depth of nDepth and fill in m_aStatus with the requested ctor flags. More...

## Public Attributes
osl::FileStatus | m_aStatus

## Constructor & Destructor Documentation

salhelper::LinkResolver::LinkResolver | ( | sal_uInt32 | nMask | ) |
| inline

## Member Function Documentation

osl::FileBase::RC salhelper::LinkResolver::fetchFileStatus | ( | const rtl::OUString & | rURL,
|  | int | nDepth = `128`
| ) |  |
| inline

Resolve a file url if it's a symbolic link, to a maximum depth of nDepth and fill in m_aStatus with the requested ctor flags.

Returns
  osl::FileBase::E_None on success

See Also
  DirectoryItem::getFileStatus

## Member Data Documentation

osl::FileStatus salhelper::LinkResolver::m_aStatus

The documentation for this class was generated from the following file:

- salhelper/linkhelper.hxx